module SplitApi
  module DataObjects
    class BaseDataObject
      PROPERTIES = %i().freeze # this is redefined in the subclass

      def initialize(opts = {})
        opts.each do |k, v|
          instance_variable_set("@#{k}", v) unless v.nil?
        end
      end

      def ==(other_obj)
        self.class::PROPERTIES.all? { |property| send(property) == other_obj.send(property) }
      end

      def to_h
        self.class::PROPERTIES.each_with_object({}) do |property, memo|
          memo.merge!(property => instance_variable_get("@#{property}"))
        end
      end
    end
  end
end
