module SplitApi
  module Models
    class BaseModel
      protected

      def to_underscore(str)
        str.gsub(/::/, '/').
        gsub(/([A-Z]+)([A-Z][a-z])/,'\1_\2').
        gsub(/([a-z\d])([A-Z])/,'\1_\2').
        tr("-", "_").
        downcase
      end

      def auth_headers
        { Authorization: "Bearer #{@config.api_key}", content_type: :json, accept: :json }
      end
    end
  end
end
