require 'rest-client'
require 'json'

module SplitApi
  module Models
    class Environments < BaseModel
      def initialize(config)
        @config = config
      end

      # GET /environments
      def list
        JSON.parse(RestClient.get("#{@config.base_uri}/environments", auth_headers).body).map do |environment|
          DataObjects::Environment.new(
            id: environment['id'],
            name: environment['name']
          )
        end
      end
    end
  end
end
