require 'rest-client'
require 'json'

module SplitApi
  module Models
    class TrafficTypes < BaseModel
      def initialize(config)
        @config = config
      end

      # GET /trafficTypes
      def list
        JSON.parse(RestClient.get("#{@config.base_uri}/trafficTypes", auth_headers).body).map do |traffic_type|
          DataObjects::TrafficType.new(
            id: traffic_type['id'],
            display_attribute_id: traffic_type['displayAttributeId'],
            name: traffic_type['name']
          )
        end
      end
    end
  end
end
